Video for Linux Two API Specification: Revision 0.24
Prev |  | Next

# ioctl VIDIOC_OVERLAY

## Name

VIDIOC_OVERLAY -- Start or stop video overlay

## Synopsis

``int ioctl`(int fd, int request, const int *argp);`

## Arguments

`fd`

  File descriptor returned by `open()`.

`request`

  VIDIOC_OVERLAY

`argp`

## Description

This ioctl is part of the video overlay I/O method. Applications call `VIDIOC_OVERLAY` to start or stop the overlay. It takes a pointer to an integer which must be set to zero by the application to stop overlay, to one to start.

Drivers do not support `VIDIOC_STREAMON` or `VIDIOC_STREAMOFF` with `V4L2_BUF_TYPE_VIDEO_OVERLAY`.

## Return Value

On success 0 is returned, on error -1 and the `errno` variable is set appropriately:

EINVAL

  Video overlay is not supported, or the parameters have not been set up. See Section 4.2 for the necessary steps.

Prev | Home | Next
ioctl VIDIOC_LOG_STATUS | Up | ioctl VIDIOC_QBUF, VIDIOC_DQBUF